%define	name	skijump
%define	version	0.2.0
%define	release	3mdk
%define	Summary	Open Ski Jumping

Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://www.skijump.org/
Source0:	http://prdownloads.sourceforge.net/skijump/%{name}-%{version}.tar.bz2
#Source11:	%{name}-16x16.png
#Source12:	%{name}-32x32.png
#Source13:	%{name}-48x48.png
Patch0:		skijump-0.2.0-compile-fix.patch.bz2
Patch1:		skijump-0.2.0-fix-install-as-non-root.patch.bz2
Patch2:		skijump-0.2.0-fix-vardir.patch.bz2
License:	GPL
Group:		Games/Arcade
Summary:	%{Summary}
BuildRequires:	allegro-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
A clone of Deluxe Ski Jump

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%configure2_5x	--bindir=%{_gamesbindir} \
		--datadir=%{_gamesdatadir}
%make

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{makeinstall_std}

%{__install} -d $RPM_BUILD_ROOT%{_menudir}
%{__cat} <<EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/%{name}" \
		icon="other_amusement.png" \
		needs="x11" \
		section="Amusement/Sports" \
		title="%{Summary}"\
		longtitle="%{Summary}"
EOF

#%{__install} -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
#%{__install} -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
#%{__install} -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%post
%update_menus

%postun
%clean_menus

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{_gamesdatadir}/%{name}
#%{_iconsdir}/%{name}.png
#%{_liconsdir}/%{name}.png
#%{_miconsdir}/%{name}.png
%{_menudir}/%{name}
%defattr(4755,root,games,775)
%{_gamesbindir}/*
%{_localstatedir}/games/%{name}

%changelog
* Tue Feb 15 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.2.0-3mdk
- move var data to %%{_localstatedir}/games/%%{name} (P2)

* Thu Aug 26 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.2.0-2mdk
- rebuild for new menu

* Thu Jul 29 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.2.0-1mdk
- initial mdk relase (Kian, this one is for you!)
